Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html
Class HtmlButtonRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
              org.apache.myfaces.shared_orchestra.renderkit.html.HtmlButtonRendererBase

    public class HtmlButtonRendererBase

extends HtmlRenderer

Version:
  $Revision: 513793 $ $Date: 2007-03-02 15:59:27 +0100 (Fr, 02 Mär 2007) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $), Thomas Spiegl, Anton Koinov

Field Summary
`static java.lang.String` | `ACTION_FOR_LIST`

Constructor Summary
`HtmlButtonRendererBase()`

Method Summary
`protected void` | `addHiddenCommandParameter(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent nestingForm, java.lang.String hiddenFieldName)`
`protected java.lang.StringBuffer` | `buildOnClick(javax.faces.component.UIComponent uiComponent, javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer)`
`void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected FormInfo` | `findNestingForm(javax.faces.component.UIComponent uiComponent, javax.faces.context.FacesContext facesContext)` find nesting form need to be overrideable to deal with dummyForm stuff in tomahawk.
`protected boolean` | `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

Methods inherited from class org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
`getActionUrl, getChildCount, getChildren, getClientId, renderId, shouldRenderId, toUri`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, encodeChildren, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_FOR_LIST

    public static final java.lang.String ACTION_FOR_LIST

See Also:
  Constant Field Values

Constructor Detail

### HtmlButtonRendererBase

    public HtmlButtonRendererBase()

Method Detail

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent uiComponent)

  Overrides:
    `decode` in class `javax.faces.render.Renderer`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `javax.faces.render.Renderer`
  Throws:
    `java.io.IOException`

### buildOnClick

    protected java.lang.StringBuffer buildOnClick(javax.faces.component.UIComponent uiComponent,
                                                  javax.faces.context.FacesContext facesContext,
                                                  javax.faces.context.ResponseWriter writer)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### addHiddenCommandParameter

    protected void addHiddenCommandParameter(javax.faces.context.FacesContext facesContext,
                                             javax.faces.component.UIComponent nestingForm,
                                             java.lang.String hiddenFieldName)

### findNestingForm

    protected FormInfo findNestingForm(javax.faces.component.UIComponent uiComponent,
                                       javax.faces.context.FacesContext facesContext)

  find nesting form
  need to be overrideable to deal with dummyForm stuff in tomahawk.

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent uiComponent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.